
package com.tmerclub.cloud.common.order.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 虚拟商品留言信息
 *
 * @author lhd
 */
public class VirtualRemarkDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 商品id
     */
    @Schema(description = "商品id")
    private Long spuId;
    /**
     * 留言标题
     */
    @Schema(description = "留言标题", requiredMode = Schema.RequiredMode.REQUIRED)
    private String name;
    /**
     * 留言内容
     */
    @Schema(description = "留言内容", requiredMode = Schema.RequiredMode.REQUIRED)
    private String value;

    /**
     * 是否必填
     */
    @Schema(description = "是否必填", requiredMode = Schema.RequiredMode.REQUIRED)
    private Boolean isRequired;

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Boolean getRequired() {
        return isRequired;
    }

    public void setRequired(Boolean required) {
        isRequired = required;
    }

    @Override
    public String toString() {
        return "VirtualRemarkDTO{" +
                "spuId=" + spuId +
                ", name='" + name + '\'' +
                ", value='" + value + '\'' +
                ", isRequired=" + isRequired +
                '}';
    }
}
